<ng-container *ngFor="let option of options; index as i">
    <ng-container [ngTemplateOutlet]="radio" 
    [ngTemplateOutletContext]="{ i: i, body: option.body, checked: (checked$ | async) === i }"></ng-container>
</ng-container>

<ng-template #radio let-body="body" let-checked="checked" let-i="i">
    <div class="radio" 
    [class.checked]="checked" (click)="select(i)">
        <i class="fa-regular fa-circle-dot" *ngIf="checked"></i>
        <i class="fa-regular fa-circle" *ngIf="!checked"></i>
        {{ body }}
    </div>
</ng-template>
